Get available assets for specific price sources
curl --request GET \
--url https://api.anchorage-staging.com/v2/collateral_management/price_sources \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/collateral_management/price_sources"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/collateral_management/price_sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"priceSources": [
{
"assets": [
"<string>"
],
"priceSource": "COINBASEPRO",
"strategies": [
"DEFAULT"
]
}
]
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Get collateral price sources
Get available assets for specific price sources.
GET
/
collateral_management
/
price_sources
Get available assets for specific price sources
curl --request GET \
--url https://api.anchorage-staging.com/v2/collateral_management/price_sources \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/collateral_management/price_sources"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/collateral_management/price_sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"priceSources": [
{
"assets": [
"<string>"
],
"priceSource": "COINBASEPRO",
"strategies": [
"DEFAULT"
]
}
]
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Query Parameters
Optional filter to return data for a specific exchange only. This field specifies the source from which the price information is derived
Available options:
COINBASEPRO, KRAKEN, KAMINO, CHAINLINK, BINANCE Response
Price sources with their available assets
Response containing price sources and their available trading pairs
List of price sources (exchanges) with their available assets
Show child attributes
Show child attributes
Was this page helpful?